### Hierarchy

- LanguageInteractionInterceptor

### Implements

- InteractionInterceptor

## Index

### Constructors

- constructor

### Properties

- language

### Methods

- execute

## Constructors

### constructor

- new LanguageInteractionInterceptor(language: string): LanguageInteractionInterceptor

- - Defined in lib/connection/interceptor/LanguageInteractionInterceptor.ts:10

  #### Parameters

  - ##### language: string

  #### Returns LanguageInteractionInterceptor

## Properties

### Private language

language: string

- Defined in lib/connection/interceptor/LanguageInteractionInterceptor.ts:10

## Methods

### execute

- execute(interaction: ConvInteraction): ConvInteraction

- Implementation of InteractionInterceptor.execute

  - Defined in lib/connection/interceptor/LanguageInteractionInterceptor.ts:16

  #### Parameters

  - ##### interaction: ConvInteraction

  #### Returns ConvInteraction

Generated using TypeDoc